Loading...
Searching...
No Matches
tiny_dnn::core::maxpool_params Class Reference
Inheritance diagram for tiny_dnn::core::maxpool_params:
[legend]
Collaboration diagram for tiny_dnn::core::maxpool_params:
[legend]

## Public Attributes

index3d< serial_size_t > | in
index3d< serial_size_t > | out
serial_size_t | pool_size_x
serial_size_t | pool_size_y
serial_size_t | stride_x
serial_size_t | stride_y
padding | pad_type
std::vector< std::vector< serial_size_t > > | out2inmax
std::vector< std::vector< serial_size_t > > | out2in
std::vector< serial_size_t > | in2out

## Additional Inherited Members

Public Member Functions inherited from tiny_dnn::core::Params
conv_params | conv () const
fully_params | fully () const
maxpool_params & | maxpool ()

The documentation for this class was generated from the following file:

- tiny_dnn/core/params/maxpool_params.h